InferenceOptions (Apache OpenNLP :: Core :: ML :: Deep Learning 3.0.0-M4 API)
Description: declaration: package: opennlp.dl, class: InferenceOptions

Package opennlp.dl

# Class InferenceOptions

java.lang.Object
opennlp.dl.InferenceOptions

public class InferenceOptions extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InferenceOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDocumentSplitSize()`
  `int`
  `getGpuDeviceId()`
  `Boolean`
  `getLowerCase()`
  Returns whether tokenization should lower case the input text and strip accents, as required by uncased models.
  `int`
  `getSplitOverlapSize()`
  `boolean`
  `isGpu()`
  `boolean`
  `isIncludeAttentionMask()`
  `boolean`
  `isIncludeTokenTypeIds()`
  `void`
  `setDocumentSplitSize(int documentSplitSize)`
  `void`
  `setGpu(boolean gpu)`
  `void`
  `setGpuDeviceId(int gpuDeviceId)`
  `void`
  `setIncludeAttentionMask(boolean includeAttentionMask)`
  `void`
  `setIncludeTokenTypeIds(boolean includeTokenTypeIds)`
  `void`
  `setLowerCase(boolean lowerCase)`
  Sets whether tokenization should lower case the input text and strip accents.
  `void`
  `setSplitOverlapSize(int splitOverlapSize)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InferenceOptions

    public InferenceOptions()

- ## Method Details

  - ### isIncludeAttentionMask

    public boolean isIncludeAttentionMask()

  - ### setIncludeAttentionMask

    public void setIncludeAttentionMask(boolean includeAttentionMask)

  - ### isIncludeTokenTypeIds

    public boolean isIncludeTokenTypeIds()

  - ### setIncludeTokenTypeIds

    public void setIncludeTokenTypeIds(boolean includeTokenTypeIds)

  - ### isGpu

    public boolean isGpu()

  - ### setGpu

    public void setGpu(boolean gpu)

  - ### getGpuDeviceId

    public int getGpuDeviceId()

  - ### setGpuDeviceId

    public void setGpuDeviceId(int gpuDeviceId)

  - ### getDocumentSplitSize

    public int getDocumentSplitSize()

  - ### setDocumentSplitSize

    public void setDocumentSplitSize(int documentSplitSize)

  - ### getSplitOverlapSize

    public int getSplitOverlapSize()

  - ### setSplitOverlapSize

    public void setSplitOverlapSize(int splitOverlapSize)

  - ### getLowerCase

    public Boolean getLowerCase()
    Returns whether tokenization should lower case the input text and strip accents, as required by uncased models.
    Returns:
      `Boolean.TRUE` for uncased models, `Boolean.FALSE` for cased models, or `null` if not set, in which case each component applies the default that matches its commonly used models.

  - ### setLowerCase

    public void setLowerCase(boolean lowerCase)
    Sets whether tokenization should lower case the input text and strip accents. Set `true` for uncased models and `false` for cased models. If not set, each component applies the default that matches its commonly used models.
    Parameters:
      `lowerCase` - Whether to lower case the input text during tokenization.